#version 330                                                                        
                                                                                    
uniform sampler2D gColorMap;        
uniform float gLoopTime;
uniform float gTilesX;
uniform float gTilesY;
uniform float gTileSizeX;
uniform float gTileSizeY;
uniform float gTotalTiles;

uniform float totalTiles;
                                            
in vec2 TexCoord;     
in float fLifetime;                                                              
out vec4 FragColor; 
                                                            
void main()                                                                         
{   
    int curtile = int((fLifetime / gLoopTime) * gTotalTiles);
    int ytile = int(curtile / gTilesX);
    int xtile = curtile - int(ytile*gTilesX);
    vec2 fpos = vec2(gTileSizeX * xtile + TexCoord.x/gTilesX, gTileSizeY * ytile + TexCoord.y/gTilesY);

    FragColor = texture2D(gColorMap, fpos);                                     
        if (FragColor.a < 0.2) {           
            discard;                                                                    
        }                                                                               
}